Package com.databricks.jdbc.model.client.thrift.generated

## Class TCancelDelegationTokenReq

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TCancelDelegationTokenReq

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCancelDelegationTokenReq>`, `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-10-09")
    public class TCancelDelegationTokenReq
    extends Object
    implements org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>, Serializable, Cloneable, Comparable<TCancelDelegationTokenReq>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCancelDelegationTokenReq._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `delegationToken`
`static Map<TCancelDelegationTokenReq._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TSessionHandle` `sessionHandle`

### Constructor Summary

Constructors
`TCancelDelegationTokenReq()`
`TCancelDelegationTokenReq​(TCancelDelegationTokenReq other)` Performs a deep copy on other.
`TCancelDelegationTokenReq​(TSessionHandle sessionHandle, String delegationToken)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCancelDelegationTokenReq other)`
`TCancelDelegationTokenReq` `deepCopy()`
`boolean` `equals​(TCancelDelegationTokenReq that)`
`boolean` `equals​(Object that)`
`TCancelDelegationTokenReq._Fields` `fieldForId​(int fieldId)`
`String` `getDelegationToken()`
`Object` `getFieldValue​(TCancelDelegationTokenReq._Fields field)`
`TSessionHandle` `getSessionHandle()`
`int` `hashCode()`
`boolean` `isSet​(TCancelDelegationTokenReq._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDelegationToken()` Returns true if field delegationToken is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionHandle()` Returns true if field sessionHandle is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TCancelDelegationTokenReq` `setDelegationToken​(String delegationToken)`
`void` `setDelegationTokenIsSet​(boolean value)`
`void` `setFieldValue​(TCancelDelegationTokenReq._Fields field, Object value)`
`TCancelDelegationTokenReq` `setSessionHandle​(TSessionHandle sessionHandle)`
`void` `setSessionHandleIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDelegationToken()`
`void` `unsetSessionHandle()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sessionHandle

    public TSessionHandle sessionHandle

#### delegationToken

    public String delegationToken

#### metaDataMap

    public static final Map<TCancelDelegationTokenReq._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCancelDelegationTokenReq

    public TCancelDelegationTokenReq()

#### TCancelDelegationTokenReq

    public TCancelDelegationTokenReq​(TSessionHandle sessionHandle,
                                     String delegationToken)

#### TCancelDelegationTokenReq

    public TCancelDelegationTokenReq​(TCancelDelegationTokenReq other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCancelDelegationTokenReq deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`

#### getSessionHandle

    public TSessionHandle getSessionHandle()

#### setSessionHandle

    public TCancelDelegationTokenReq setSessionHandle​(TSessionHandle sessionHandle)

#### unsetSessionHandle

    public void unsetSessionHandle()

#### isSetSessionHandle

    public boolean isSetSessionHandle()

Returns true if field sessionHandle is set (has been assigned a value) and false otherwise

#### setSessionHandleIsSet

    public void setSessionHandleIsSet​(boolean value)

#### getDelegationToken

    public String getDelegationToken()

#### setDelegationToken

    public TCancelDelegationTokenReq setDelegationToken​(String delegationToken)

#### unsetDelegationToken

    public void unsetDelegationToken()

#### isSetDelegationToken

    public boolean isSetDelegationToken()

Returns true if field delegationToken is set (has been assigned a value) and false otherwise

#### setDelegationTokenIsSet

    public void setDelegationTokenIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCancelDelegationTokenReq._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCancelDelegationTokenReq._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`

#### isSet

    public boolean isSet​(TCancelDelegationTokenReq._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCancelDelegationTokenReq that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCancelDelegationTokenReq other)

Specified by:
  `compareTo` in interface `Comparable<TCancelDelegationTokenReq>`

#### fieldForId

    public TCancelDelegationTokenReq._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCancelDelegationTokenReq,​TCancelDelegationTokenReq._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`